Wu.Country@侠缘

勤学似春起之苗,不见其增,日有所长; 辍学如磨刀之石,不见其损,日所有亏!

导航

2012年4月30日 #

CT-NG编译错误以及解决办法

摘要: 1、Suse12可以使用的最高版本为crosstool-ng-1.13.0,再高的版本会有编译错误信息2、编译时,选择arm-cotex-a8的模板,以及unknow-gnulinux-uclibc的uclibc配置选项,会报:[ERROR] Static linking impossible on the host system 'i686-build pc-linux-gnu'在配置菜单中,将c++的静态链接去掉下 3、编译时,报LD_LIBRARY_PATH环境变量已经被设置;unset一下就可以了;整体来, 比从suse10上一个一个的升级组件来编译要方便的多! 阅读全文

posted @ 2012-04-30 20:06 Wu.Country@侠缘 阅读(1096) 评论(0) 推荐(0) 编辑

无法忍受在SUSE10上安装开发环境了

摘要: 前见买了台新电脑,计划按照公司的环境搭建一套ARM开发环境。于是找到了Suse10的安装ISO文件,下载了最新的VB,然后将SUSE10安装起来了。 准备开始编译Qemu的虚拟机,结果发现一堆的软件版本对不上,先是glib2的版本不对,于是下了对应的glib2来编译安装,结果发现python的版本不对,又下载了python2.5的版本;安装完成以后,又发现auconf的版本不对,狂昏呀; 当然我知道这个过程很复杂,需要花点时间把这些开源包玩转,但想想,值吗?在一个老的版本上一点一点的升级这些组件,还不如重新更新一个操作系统算了。 选择操作系统是个麻烦的问题,新机器安装的是win7,从来没有用. 阅读全文

posted @ 2012-04-30 18:10 Wu.Country@侠缘 阅读(761) 评论(2) 推荐(0) 编辑